function obj=emptyset(dim)
	% -- P = emptyset(d)    empty set
	%
	%    Input:
	%      d: space dimension 
	%    Output:
	%      P: empty set (polyh object)
	%
	%    see also: polyh/isempty, origin, point, ball, cube
	%
	%    for further details, see http://bensolve.org/files/manual.pdf
	if dim < 1
		error('positive dimension exptected');
	end
	rep.V=zeros(dim,0);
	obj=polyh(rep,'v');
end